Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::lodge_list< Value >::iterator Class Reference

双方向イテレーター More...

`#include <lodge_list.h>`

Inheritance diagram for gslib::static_container::lodge_list< Value >::iterator:

[legend]
Collaboration diagram for gslib::static_container::lodge_list< Value >::iterator:

[legend]
List of all members.

## Public Member Functions
| operator const_iterator ()
| iterator ()
reference | operator * () const
Value * | operator-> ()
iterator & | operator++ ()
iterator & | operator-- ()
iterator | operator++ (int)
iterator | operator-- (int)
bool | operator== (const iterator &x) const
bool | operator!= (const iterator &x) const
## Private Member Functions
| iterator (link *n)
## Friends
class | lodge_list

## Detailed Description

### template<typename Value>
class gslib::static_container::lodge_list< Value >::iterator

双方向イテレーター

Definition at line 173 of file lodge_list.h.

## Constructor & Destructor Documentation

template<typename Value>
gslib::static_container::lodge_list< Value >::iterator::iterator | ( | link * | n | ) | `[inline, explicit, private]`

| Definition at line 178 of file lodge_list.h.
    00178                                              {
    00179                     node_ = n;
    00180                 }

template<typename Value>
gslib::static_container::lodge_list< Value >::iterator::iterator | ( |  | ) | `[inline]`

| Definition at line 185 of file lodge_list.h.
    00185 { node_ = 0; }

## Member Function Documentation

template<typename Value>
reference gslib::static_container::lodge_list< Value >::iterator::operator * | ( |  | ) | const`[inline]`

| Definition at line 186 of file lodge_list.h.
    00186                                               {
    00187                     BOOST_ASSERT( 0 != node_ );
    00188                     return static_cast< node* >( node_ )->value;
    00189                 }

template<typename Value>
gslib::static_container::lodge_list< Value >::iterator::operator const_iterator | ( |  | ) | `[inline]`

| Definition at line 182 of file lodge_list.h.
    00182                                            {
    00183                     return const_iterator( node_ );
    00184                 }

template<typename Value>
bool gslib::static_container::lodge_list< Value >::iterator::operator!= | ( | const iterator & | x | ) | const`[inline]`

| Definition at line 215 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::equal().
    00215                                                            {
    00216                     return !equal( x );
    00217                 }

Here is the call graph for this function:

template<typename Value>
iterator gslib::static_container::lodge_list< Value >::iterator::operator++ | ( | int |  | ) | `[inline]`

| Definition at line 202 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator::operator++().
    00202                                              {
    00203                     iterator result( *this );
    00204                     operator ++ ();
    00205                     return result;
    00206                 }

Here is the call graph for this function:

template<typename Value>
iterator& gslib::static_container::lodge_list< Value >::iterator::operator++ | ( |  | ) | `[inline]`

| Definition at line 194 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::increment(). Referenced by gslib::static_container::lodge_list< Value >::iterator::operator++().
    00194                                          {
    00195                     increment();
    00196                     return *this;
    00197                 }

Here is the call graph for this function:

template<typename Value>
iterator gslib::static_container::lodge_list< Value >::iterator::operator-- | ( | int |  | ) | `[inline]`

| Definition at line 207 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator::operator--().
    00207                                              {
    00208                     iterator result( *this );
    00209                     operator -- ();
    00210                     return result;
    00211                 }

Here is the call graph for this function:

template<typename Value>
iterator& gslib::static_container::lodge_list< Value >::iterator::operator-- | ( |  | ) | `[inline]`

| Definition at line 198 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::decrement(). Referenced by gslib::static_container::lodge_list< Value >::iterator::operator--().
    00198                                          {
    00199                     decrement();
    00200                     return *this;
    00201                 }

Here is the call graph for this function:

template<typename Value>
Value* gslib::static_container::lodge_list< Value >::iterator::operator-> | ( |  | ) | `[inline]`

| Definition at line 190 of file lodge_list.h.
    00190                                       {
    00191                     BOOST_ASSERT( 0 != node_ );
    00192                     return &static_cast< node* >( node_ )->value;
    00193                 }

template<typename Value>
bool gslib::static_container::lodge_list< Value >::iterator::operator== | ( | const iterator & | x | ) | const`[inline]`

| Definition at line 212 of file lodge_list.h. References gslib::static_container::lodge_list< Value >::iterator_base::equal().
    00212                                                            {
    00213                     return equal( x );
    00214                 }

Here is the call graph for this function:

## Friends And Related Function Documentation

template<typename Value>
friend class lodge_list`[friend]`

| Reimplemented from gslib::static_container::lodge_list< Value >::iterator_base. Definition at line 177 of file lodge_list.h.

The documentation for this class was generated from the following file:

- lodge_list.h